$(document).ready(function() {
    // Attach print event to all a.printLink anchors
    $('a.printLink').on('click', function () { // AX-24898.24919.2 $('a.printLink').click(function() {
        window.print();
        this.trigger('blur');					// AX-24898.24919.2 .blur();
        return false;
    });

    // Dynamic CSS for textboxes etc.
    $("input.text, textarea, select").addClass("idle");
    $("input.text, textarea, select").on('focus', function () {        // AX-24898.24919.2 .focus(function () {
        $(this).addClass("active").removeClass("idle");
    }).on('blur', function () {			// AX-24898.24919.2 .blur(function() {
        $(this).removeClass("active").addClass("idle");
    });
});